<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>org.asqatasun</groupId>
        <artifactId>rules</artifactId>
        <version>5.0.1-SNAPSHOT</version>
    </parent>
    <groupId>org.asqatasun</groupId>
    <artifactId>referential-creator</artifactId>
    <packaging>jar</packaging>

    <name>referential-creator</name>
    <url>http://maven.apache.org</url>
    <!-- Here is what you need to set-up before launching generation-->
    <properties>
        <generator.referentialName>Referential Name 1.0</generator.referentialName>
        <generator.referential>ReferentialName1.0</generator.referential>
        <generator.baseFolder>/home/$user/Asqatasun/rules/</generator.baseFolder>
        <generator.dataFile>/home/$user/referential.csv</generator.dataFile>
        <generator.delimiter>ø</generator.delimiter>
        <generator.refdescriptor>http://www.example.com/refential-descriptor.html</generator.refdescriptor>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
    </properties>
    <build>
        <plugins>
            <plugin>
                <groupId>org.asqatasun</groupId>
                <artifactId>referential-creator-maven-plugin</artifactId>
                <version>5.0.1-SNAPSHOT</version>
                <executions>
                    <execution>
                        <id>generate</id>
                        <phase>compile</phase>
                        <goals>
                            <goal>generate</goal>
                        </goals>
                    </execution>
                </executions>
                <configuration>
                    <destinationFolder>${generator.baseFolder}/${generator.referential}</destinationFolder>
                    <dataFile>${generator.dataFile}</dataFile>
                    <delimiter>${generator.delimiter}</delimiter>
                    <referential>${generator.referential}</referential>
                    <referentialLabel>${generator.referentialName}</referentialLabel>
                    <refDescriptor>${generator.refdescriptor}</refDescriptor>
                </configuration>
            </plugin>
        </plugins>
    </build>
    <dependencies>
        <dependency>
            <groupId>junit</groupId>
            <artifactId>junit</artifactId>
            <scope>test</scope>
        </dependency>
    </dependencies>
</project>
